Skip to main content
POST
/
api
/
v1
/
apps
/
connectors
/
validate_config
/
http
ValidateHTTPConnectorConfig
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Connector.ValidateHTTPConnectorConfig(ctx, nil)
    if err != nil {
        log.Fatal(err)
    }
    if res.EditorValidateResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.connector.validateHTTPConnectorConfig();

  console.log(result);
}

run();
curl --request POST \
  --url https://{tenantDomain}.conductor.one/api/v1/apps/connectors/validate_config/http \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>"
}
'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/apps/connectors/validate_config/http"

payload = { "text": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({text: '<string>'})
};

fetch('https://{tenantDomain}.conductor.one/api/v1/apps/connectors/validate_config/http', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "markers": [
    {
      "endColumn": 123,
      "endLineNumber": 123,
      "message": "<string>",
      "startColumn": 123,
      "startLineNumber": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Body

application/json

The EditorValidateRequest message contains the configuration text to validate.

text
string | null

The configuration text to validate.

Response

200 - application/json

The EditorValidateResponse message contains validation results.

The EditorValidateResponse message contains validation results.

markers
Editor Marker · object[] | null
read-only

The list of diagnostic markers found during validation.